javax.jdo.annotations

## Annotation Type Embedded

-     @Target(value={ANNOTATION_TYPE,FIELD,METHOD})
       @Retention(value=RUNTIME)
      public @interface Embedded

  Annotation to define that the object is embedded into the table of the owning object. Corresponds to the xml element "embedded".
  Since:
    2.1
  Version:
    2.1

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `Discriminator` | `discriminatorColumnName` Discriminator for cases where the embedded object has inheritance.
    `Persistent[]` | `members` Members for this embedding.
    `String` | `nullIndicatorColumn` The column in the embedded object used to judge if the embedded object is null.
    `String` | `nullIndicatorValue` The value in the null column to interpret the object as being null.
    `String` | `ownerMember` The member in the embedded object that links back to the owning object where it has a bidirectional relationship.

- - ### Element Detail

    - #### ownerMember

          public abstract String ownerMember

      The member in the embedded object that links back to the owning object where it has a bidirectional relationship.
      Returns:
        the member that refers to the owner
      Default:
        ""

  - - #### nullIndicatorColumn

          public abstract String nullIndicatorColumn

      The column in the embedded object used to judge if the embedded object is null.
      Returns:
        the null indicator column
      Default:
        ""

  - - #### nullIndicatorValue

          public abstract String nullIndicatorValue

      The value in the null column to interpret the object as being null.
      Returns:
        the null indicator value
      Default:
        ""

  - - #### members

          public abstract Persistent[] members

      Members for this embedding.
      Returns:
        the members embedded in the field or property being annotated
      Default:
        {}

  - - #### discriminatorColumnName

          public abstract Discriminator discriminatorColumnName

      Discriminator for cases where the embedded object has inheritance.
      Returns:
        the discriminator for inheritance determination
      Default:
        @javax.jdo.annotations.Discriminator

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.